Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
haicoi311

Hỏi về cách sử dụng Point

Các bài được khuyến nghị

e đang học vẽ kĩ thuật và kết cấu! e muốn trình bày bài tập lớn bằng autoCad cho nhóm!

Sử dụng CAD 2009!

Trong sách giáo khoa, ng ta vẽ giao của các đường thẳng là 1 điểm, điểm đó đc kí hiệu là 1 hình tròn, bên trong rỗng! nhưng trong Cad nếu dùng point thì ko làm đc như vậy!

các bác giúp e cách với!

Hình vẽ minh họa đây:

4481147319_8869a8499c_o.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
e đang học vẽ kĩ thuật và kết cấu! e muốn trình bày bài tập lớn bằng autoCad cho nhóm!

Sử dụng CAD 2009!

Trong sách giáo khoa, ng ta vẽ giao của các đường thẳng là 1 điểm, điểm đó đc kí hiệu là 1 hình tròn, bên trong rỗng! nhưng trong Cad nếu dùng point thì ko làm đc như vậy!

các bác giúp e cách với!

Hình vẽ minh họa đây:

4481147319_8869a8499c_o.jpg

 

Vẽ đường tròn và trim các line thừa đi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
e đang học vẽ kĩ thuật và kết cấu! e muốn trình bày bài tập lớn bằng autoCad cho nhóm!

Sử dụng CAD 2009!

Trong sách giáo khoa, ng ta vẽ giao của các đường thẳng là 1 điểm, điểm đó đc kí hiệu là 1 hình tròn, bên trong rỗng! nhưng trong Cad nếu dùng point thì ko làm đc như vậy!

các bác giúp e cách với!

Hình vẽ minh họa đây:

4481147319_8869a8499c_o.jpg

 

Để tiện lợi bạn nên dùng wipeout che phần dưới đi.Khi đó 2 đường kia của bạn vẫn nguyên mà lại đáp ứng được yêu cầu.Lệnh wipeout bạn có thể tìm hiều thêm trên diễn đàn.Chỉ lưu ý là muốn Wipeout được hình "tròn" bạn cần dùng đa giác n cạnh (Sẽ có dạng như hình tròn vì wipeout chỉ làm việc với các Polyline)

:D

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vẽ đường tròn và trim các line thừa đi

một bài cỡ vài trăm điểm thì trim chắc cũng nhanh bác nhẩy! hình ví dụ là hình iem trim ở đó đó!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Để tiện lợi bạn nên dùng wipeout che phần dưới đi.Khi đó 2 đường kia của bạn vẫn nguyên mà lại đáp ứng được yêu cầu.Lệnh wipeout bạn có thể tìm hiều thêm trên diễn đàn.Chỉ lưu ý là muốn Wipeout được hình "tròn" bạn cần dùng đa giác n cạnh (Sẽ có dạng như hình tròn vì wipeout chỉ làm việc với các Polyline)

:D

tìm hiểu ở đâu, bác chỉ cho em xem đc ko?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
một bài cỡ vài trăm điểm thì trim chắc cũng nhanh bác nhẩy! hình ví dụ là hình iem trim ở đó đó!

 

Mình không biết lệnh trên

 

 

tìm hiểu ở đâu, bác chỉ cho em xem đc ko?

 

Bạn hướng dẫn cụ thể được không? :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tìm hiểu ở đâu, bác chỉ cho em xem đc ko?

theo mình nghĩ WIPEOUT cũng ko khả quan hơn lệnh TRIM là mấy cả,tốt nhất bạn nên nhờ các cao thủ cho 1 cái lisp là OK!!!! :cheers: :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Mình không biết lệnh trên

Bạn hướng dẫn cụ thể được không? :D

Rất đơn giản :

Trước hết, mình ví dụ đơn giản : Bạn vẽ 1 hình chữ nhật bằng lệnh RECTANG -> Sử dụng lệnh Wipeout

Command: WIPEOUT -> gõ lệnh Wipeout

Specify first point or [Frames/Polyline] : Enter để chọn Polyline

 

Select a closed polyline: -> Chọn Rectang (hình chữ nhật vừa vẽ)

Erase polyline? [Yes/No] : y -> CAD sẽ tạo ra 1 wipeout từ hình chữ nhật này và nó hỏi bạn có muốn xoá hình chữ nhật cũ này không? -> Gõ Y nếu muốn xoá, gõ N nếu không xoá

Sau khi sử dụng lệnh Wipeout này xong thì Wipeout tạo bởi hình chữ nhật sẽ che những đối tượng mà nó đè lên. Vậy đó.

 

Mong bạn làm được

 

một bài cỡ vài trăm điểm thì trim chắc cũng nhanh bác nhẩy! hình ví dụ là hình iem trim ở đó đó!

Chào bạn haicoi311

Nếu một bài cỡ vài trăm điểm thì nên sử dụng Lisp sẽ giải quyết 1 lần là xong. Mình sẽ hướng dẫn cho bạn thực hiện được lệnh này rồi mới viết cho bạn Lisp này. OK?

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
theo mình nghĩ WIPEOUT cũng ko khả quan hơn lệnh TRIM là mấy cả,tốt nhất bạn nên nhờ các cao thủ cho 1 cái lisp là OK!!!! :cheers: :D

 

Sẽ nhanh hơn nhiều so với jick tưởng tượng đó.Khi trim thì hình nào jick cũng phải trim.Nhưng khi wipeout nếu hình muốn che giống nhau thì bạn chỉ cần copy hàng loạt đặt vào đúng vị trí là ok.

Ngoài ra Wipeout còn tiện lợi ở chỗ là nó chỉ che khuất phần sau mà không phải động chạm jì đến đối tượng cần che.Nếu với trim bạn phải cắt từ 2 đoạn thẳng thành 4 đoạn thẳng và nếu sau này cần dùng lại 2 đoạn thẳng ban đầu thì bạn phải làm sao?

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Rất đơn giản :

Trước hết, mình ví dụ đơn giản : Bạn vẽ 1 hình chữ nhật bằng lệnh RECTANG -> Sử dụng lệnh Wipeout

Command: WIPEOUT -> gõ lệnh Wipeout

Specify first point or [Frames/Polyline] : Enter để chọn Polyline

 

Select a closed polyline: -> Chọn Rectang (hình chữ nhật vừa vẽ)

Erase polyline? [Yes/No] : y -> CAD sẽ tạo ra 1 wipeout từ hình chữ nhật này và nó hỏi bạn có muốn xoá hình chữ nhật cũ này không? -> Gõ Y nếu muốn xoá, gõ N nếu không xoá

Sau khi sử dụng lệnh Wipeout này xong thì Wipeout tạo bởi hình chữ nhật sẽ che những đối tượng mà nó đè lên. Vậy đó.

 

Mong bạn làm được

Chào bạn haicoi311

Nếu một bài cỡ vài trăm điểm thì nên sử dụng Lisp sẽ giải quyết 1 lần là xong. Mình sẽ hướng dẫn cho bạn thực hiện được lệnh này rồi mới viết cho bạn Lisp này. OK?

 

 

Sẽ nhanh hơn nhiều so với jick tưởng tượng đó.Khi trim thì hình nào jick cũng phải trim.Nhưng khi wipeout nếu hình muốn che giống nhau thì bạn chỉ cần copy hàng loạt đặt vào đúng vị trí là ok.

Ngoài ra Wipeout còn tiện lợi ở chỗ là nó chỉ che khuất phần sau mà không phải động chạm jì đến đối tượng cần che.Nếu với trim bạn phải cắt từ 2 đoạn thẳng thành 4 đoạn thẳng và nếu sau này cần dùng lại 2 đoạn thẳng ban đầu thì bạn phải làm sao?

 

2 bạn có thể hướng dẫn cách ứng dụng hình này không?

 

G70.8769025_1_1.png

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
2 bạn có thể hướng dẫn cách ứng dụng hình này không?

 

G70.8769025_1_1.png

Với hình của bạn nên dùng 3D để dựng khối và sau đó thì thoải mái mà lấy hình chiếu cũng như hình phối cảnh. Muốn che muốn giấu gì tùy bạn. Hề hề hề.....

Như vậy khỏi sợ bị thiếu nét như cái hình của bạn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Sẽ nhanh hơn nhiều so với jick tưởng tượng đó.Khi trim thì hình nào jick cũng phải trim.Nhưng khi wipeout nếu hình muốn che giống nhau thì bạn chỉ cần copy hàng loạt đặt vào đúng vị trí là ok.

Ngoài ra Wipeout còn tiện lợi ở chỗ là nó chỉ che khuất phần sau mà không phải động chạm jì đến đối tượng cần che.Nếu với trim bạn phải cắt từ 2 đoạn thẳng thành 4 đoạn thẳng và nếu sau này cần dùng lại 2 đoạn thẳng ban đầu thì bạn phải làm sao?

ý em nó ko khả quan trong bài này,có thể em sai khi ko bít rõ trức năng trong lệnh WIPEOUT vì khi đó nó bắt vẽ đa giác bằng polyline,để có đc đa giác giống hình tròn thì có lẽ là hơi lâu,hay là mình vẽ 1 polygon khoang 90 canh truớc xong sau đó vẽ cái polyline đè lên cái polygon này rồi xoá cái polygon trc đi chắc cũng đc.có vẻ hơi phức tạp,có lẽ lisp sẽ tối ưu nhất.

PM: bác ở huơng sơn-mỹ đức ah?

em cũng ở mỹ đức đó bác,anh em mình là đồng huơng rồi khi`khi` :cheers: :D :D

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ý em nó ko khả quan trong bài này,có thể em sai khi ko bít rõ trức năng trong lệnh WIPEOUT vì khi đó nó bắt vẽ đa giác bằng polyline,để có đc đa giác giống hình tròn thì có lẽ là hơi lâu,hay là mình vẽ 1 polygon khoang 90 canh truớc xong sau đó vẽ cái polyline đè lên cái polygon này rồi xoá cái polygon trc đi chắc cũng đc.có vẻ hơi phức tạp,có lẽ lisp sẽ tối ưu nhất.

Rắc rối chi vậy jick?

Bản chất của lệnh POLYGON là tạo ra đối tượng đa giác đều và đa giác đó chính là POLYLINE rồi

Cần chi phải vẽ 1 POLYGON rồi vẽ POLYLINE đè lên nữa có phải không?

Thế này nhé : Bạn vẽ POLYGON "tròn" với góc chắn ở cung là 1 độ 360 đoạn

-> Sau đó sử dụng lệnh Wipeout cho POLYGON này.

 

Bên cạnh đó các bạn cần chú ý 2 điểm để có thể sử dụng được lệnh Wipeout với đối tượng POLYLINE

1. POLYLINE đó phải kín

2. POLYLINE đó không có phân đoạn arc

 

Sử dụng Lisp đúng là tối ưu nhất trong trường hợp có rất nhiều điểm giao nhau tạo bởi các đối tượng và Lisp sẽ vẽ 1 Wipeout "tròn" tại giao điểm của các đói tượng

Lisp đây :

(defun c:wci(/ oldos ss r i ent j ent1 giao lisgiao)
 (vl-load-com)
 (command "undo" "be")
 (setq oldos (getvar "osmode")) 
 (setq ss (ssget '((0 . "*LINE,ARC,ELLIPSE,CIRCLE"))) i 0 lisgiao (list))
(setq r (getdist "\n Nhap ban kinh cua duong tron :"))
 (while (	(setq ent (ssname ss i) j 0)
    (while (	     (setq ent1 (ssname ss j))
	(if (giaodt ent ent1) (progn 
	    (setq giao (nth 0 (giaodt ent ent1)))
	    (if (not(member giao lisgiao))
		(setq lisgiao (cons giao lisgiao))
	    )
	))
		(setq j (1+ j))	        
    )
(setq j 0 i (1+ i))
 )
 (setvar "osmode" 0)
(foreach x lisgiao
 (vl-cmdf "polygon" "360" x "I" r)
 (vl-cmdf "wipeout" "PolyLINE" (entlast) "Y")
)
 (setvar "osmode" oldos)
 (princ)
 )
;
(defun GiaoDT (ent1 ent2)
Thanks for Mr Hoanh for this function
(setq ob1 (vlax-ename->vla-object ent1)
ob2 (vlax-ename->vla-object ent2)
)
(setq g (vlax-variant-value
(vla-IntersectWith ob1 ob2 acExtendNone)
)
)
(if (/= (vlax-safearray-get-u-bound g 1) -1)
(setq g (vlax-safearray->list g))
(setq g nil)
)
(if g
(progn
(setq kq nil
sd (fix (/ (length g) 3))
)
(repeat sd
(setq kq (append kq (list (list (car g) (cadr g) (caddr g))))
g (cdddr g)
)
)
kq
)
nil
)

)

Các bạn chạy thử nhé

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

...Cần chi phải vẽ 1 POLYGON rồi vẽ POLYLINE đè lên nữa có phải không?

Thế này nhé : Bạn vẽ POLYGON "tròn" với góc chắn ở cung là 1 độ <=> 360 đoạn

-> Sau đó sử dụng lệnh Wipeout cho POLYGON này....

Xin hỏi là làm sao mình có thể vẽ được như bạn nói??? chẵng lẽ mình vẽ 360 đoạn???

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Xin hỏi là làm sao mình có thể vẽ được như bạn nói??? chẵng lẽ mình vẽ 360 đoạn???

Trích dẫn lệnh vẽ Polygon

Command: POLYGON

Enter number of sides <5>: 360

Specify center of polygon or [Edge]: nhập điểm tâm

Enter an option [inscribed in circle/Circumscribed about circle] <C>: C

Specify radius of circle: nhập R là xong.

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

e đang học vẽ kĩ thuật và kết cấu! e muốn trình bày bài tập lớn bằng autoCad cho nhóm!

Sử dụng CAD 2009!

Trong sách giáo khoa, ng ta vẽ giao của các đường thẳng là 1 điểm, điểm đó đc kí hiệu là 1 hình tròn, bên trong rỗng! nhưng trong Cad nếu dùng point thì ko làm đc như vậy!

các bác giúp e cách với!

Hình vẽ minh họa đây:

 

1. Vấn đề là có nhất thiết bạn phải cho nó hiển thị giống hệt trong sách không?

2.@ all Trong cad khi ko biết lệnh gì mà người ta đã đọc cho cái tên lệnh rồi thì nên tự gỏ vào xem nó thế nào rồi hảy kiêu gọi mọi người là không biết này nọ chứ cứ kiêu hoài nghe mãi cũng ngán các bạn ạ!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×